Cancel a build
POST
/v1/organisations/{id}/environments/{envId}/resources/{rid}/builds/{bid}/cancelOperation services.buildCancel · since 2026-11-05 · stable
Needs a session withwritescopeAnswers200 OK
Path parameters
- idstring (uuid)required
- The organisation id.
- envIdstring (uuid)required
- The environment id.
- ridstringrequired
- The service's id.
- bidstringrequired
- The build id.
Body
None. Send no body, or an empty JSON object.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
POST/v1/organisations/{id}/environments/{envId}/resources/{rid}/builds/{bid}/cancel
curl -X POST "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/resources/$RESOURCE_ID/builds/$BUILD_ID/cancel" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"